Subject: RE: [PATCH v2] Enable auto-merge for meld to follow the vim-diff beharior

From: <[email-masked]>
Date: Tue, 9 Jun 2020 11:33:05 +0800

Hi Pratyush,

Yes, you're totally right, it's my typo, and it's fixed by my last commit [PATCH v2]. 
I tried git merge-tool with meld and found there is "auto-merge" option for better experience.
The "auto-merge" was added since meld 1.7 (Year 2012).
Here're some documents for it.
https://meldmerge.org/features.html
https://lukas.zapletalovi.com/2012/09/three-way-git-merging-with-meld.html

Regards
Lin
-----Original Message-----
From: Pratyush Yadav <[email-masked]> 
Sent: Monday, June 8, 2020 17:50
To: sunlin via GitGitGadget <[email-masked]>
Cc: [email-masked]; sunlin <[email-masked]>; lin.sun <[email-masked]>
Subject: Re: [PATCH] Enable auto-merge for meld to follow the vim-diff beharior

Hi Lin,

I'm not familiar with the code so I'll let someone else comment on that. 
But...

On 08/05/20 01:25AM, sunlin via GitGitGadget wrote:
> From: "lin.sun" <[email-masked]>
> 
> The mergetool "meld" does NOT merge the no-conflict changes, while the 
> mergetool "vimdiff" will merge the no-conflict parts and highlight the 
> conflict parts.
> This patch will make the mergetool "meld" similar to "vimdiff", 
> auto-merge the no-conflict parts, highlight conflict parts.
> 
> Signed-off-by: Lin Sun <[email-masked]>

... your name and email in "From:" and "Signed-off-by:" should be the same. So either use "lin.sun" <[email-masked]> in both places or use Lin Sun <[email-masked]> in both.

--
Regards,
Pratyush Yadav